Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTQE3.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTQE3.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTQE3.m	(revision 636)
@@ -1,7 +1,7 @@
-RACTQE3 ; ;05/26/08
+RACTQE3 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^RAO(75.1,",DIC=DIE,DP=75.1,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^RAO(75.1,DA,""))=""
- I $D(^(0)) S %Z=^(0) S %=$P(%Z,U,5) S:%]"" DE(3)=% S %=$P(%Z,U,6) S:%]"" DE(11)=% S %=$P(%Z,U,14) S:%]"" DE(1)=% S %=$P(%Z,U,18) S:%]"" DE(4)=% S %=$P(%Z,U,19) S:%]"" DE(7)=% S %=$P(%Z,U,22) S:%]"" DE(2)=% S %=$P(%Z,U,24) S:%]"" DE(9)=%
- I  S %=$P(%Z,U,26) S:%]"" DE(13)=%
+ I $D(^(0)) S %Z=^(0) S %=$P(%Z,U,5) S:%]"" DE(7)=% S %=$P(%Z,U,6) S:%]"" DE(15)=% S %=$P(%Z,U,14) S:%]"" DE(1)=% S %=$P(%Z,U,18) S:%]"" DE(8)=% S %=$P(%Z,U,19) S:%]"" DE(11)=% S %=$P(%Z,U,22) S:%]"" DE(6)=% S %=$P(%Z,U,24) S:%]"" DE(13)=%
+ I  S %=$P(%Z,U,26) S:%]"" DE(17)=%
  K %Z Q
  ;
@@ -58,5 +58,18 @@
  G RD:X="@",Z
 X1 Q
-2 S DW="0;22",DV="P44'",DU="",DLB="REQUESTING LOCATION",DIFLD=22
+2 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=2 D X2 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X2 S RAX=$P(^RAO(75.1,DA,0),U,4)
+ Q
+3 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=3 D X3 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X3 I RAX="I",$P($G(^SC(+RALIFN,0)),U,3)'="W",($P($G(^SC(+RALIFN,0)),U,3)'="OR") D REQLOC1^RAORD1A
+ Q
+4 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=4 D X4 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X4 I RAX="O",$P($G(^SC(+RALIFN,0)),U,3)'="C",($P($G(^SC(+RALIFN,0)),U,3)'="OR") D REQLOC1^RAORD1A
+ Q
+5 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=5 D X5 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X5 I $D(RALIFN("OUT")) K RALIFN("OUT") S Y="@99"
+ Q
+6 S DW="0;22",DV="P44'a",DU="",DLB="REQUESTING LOCATION",DIFLD=22
+ S DE(DW)="C6^RACTQE3"
  S DU="SC("
  S X=RALIFN
@@ -64,7 +77,12 @@
  S X=Y,DB(DQ)=1,DE(DW,"4/")="" G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD:X="@",Z
-X2 Q
-3 S DW="0;5",DV="SX",DU="",DLB="REQUEST STATUS",DIFLD=5
- S DE(DW)="C3^RACTQE3"
+C6 G C6S:$D(DE(6))[0 K DB
+ S X=DE(6),DIIX=2_U_DIFLD D AUDIT^DIET
+C6S S X="" G:DG(DQ)=X C6F1 K DB
+ I $D(DE(6))'[0!(^DD(DP,DIFLD,"AUDIT")'="e") S X=DG(DQ),DIIX=3_U_DIFLD D AUDIT^DIET
+C6F1 Q
+X6 Q
+7 D:$D(DG)>9 F^DIE17,DE S DQ=7,DW="0;5",DV="SX",DU="",DLB="REQUEST STATUS",DIFLD=5
+ S DE(DW)="C7^RACTQE3"
  S DU="1:DISCONTINUED;2:COMPLETE;3:HOLD;5:PENDING;6:ACTIVE;8:SCHEDULED;11:UNRELEASED;"
  S X=$S($D(RAPKG):5,$$ORVR^RAORDU()=2.5:11,1:5)
@@ -72,48 +90,48 @@
  S X=Y,DB(DQ)=1,DE(DW,"4/")="" G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD:X="@",Z
-C3 G C3S:$D(DE(3))[0 K DB
- S X=DE(3),DIC=DIE
+C7 G C7S:$D(DE(7))[0 K DB
+ S X=DE(7),DIC=DIE
  K ^RAO(75.1,"AS",+$P(^RAO(75.1,DA,0),U),X,DA)
- S X=DE(3),DIC=DIE
+ S X=DE(7),DIC=DIE
  ;
-C3S S X="" G:DG(DQ)=X C3F1 K DB
+C7S S X="" G:DG(DQ)=X C7F1 K DB
  S X=DG(DQ),DIC=DIE
  S ^RAO(75.1,"AS",+$P(^RAO(75.1,DA,0),U),X,DA)=""
  S X=DG(DQ),DIC=DIE
  D:$$ORVR^RAORDU()=2.5&((X=1)!(X=3)) CH^RADD2(DA,X)
-C3F1 Q
-X3 Q
-4 D:$D(DG)>9 F^DIE17,DE S DQ=4,DW="0;18",DV="D",DU="",DLB="LAST ACTIVITY DATE/TIME",DIFLD=18
- S DE(DW)="C4^RACTQE3"
+C7F1 Q
+X7 Q
+8 D:$D(DG)>9 F^DIE17,DE S DQ=8,DW="0;18",DV="D",DU="",DLB="LAST ACTIVITY DATE/TIME",DIFLD=18
+ S DE(DW)="C8^RACTQE3"
  S X="NOW"
  S Y=X
  S X=Y,DB(DQ)=1 G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD
-C4 G C4S:$D(DE(4))[0 K DB
- S X=DE(4),DIC=DIE
+C8 G C8S:$D(DE(8))[0 K DB
+ S X=DE(8),DIC=DIE
  K ^RAO(75.1,"AO",$E(X,1,30),DA)
-C4S S X="" G:DG(DQ)=X C4F1 K DB
+C8S S X="" G:DG(DQ)=X C8F1 K DB
  S X=DG(DQ),DIC=DIE
  S ^RAO(75.1,"AO",$E(X,1,30),DA)=""
-C4F1 Q
-X4 S %DT="TXR" D ^%DT S X=Y K:Y<1 X
+C8F1 Q
+X8 S %DT="TXR" D ^%DT S X=Y K:Y<1 X
  Q
  ;
-5 D:$D(DG)>9 F^DIE17,DE S DQ=5,D=0 K DE(1) ;75
+9 D:$D(DG)>9 F^DIE17,DE S DQ=9,D=0 K DE(1) ;75
  S DIFLD=75,DGO="^RACTQE4",DC="4^75.12DA^T^",DV="75.12D",DW="0;1",DOW="STATUS CHANGE DATE/TIME",DLB="Select "_DOW S:D DC=DC_D
- I $D(DSC(75.12))#2,$P(DSC(75.12),"I $D(^UTILITY(",1)="" X DSC(75.12) S D=$O(^(0)) S:D="" D=-1 G M5
+ I $D(DSC(75.12))#2,$P(DSC(75.12),"I $D(^UTILITY(",1)="" X DSC(75.12) S D=$O(^(0)) S:D="" D=-1 G M9
  S D=$S($D(^RAO(75.1,DA,"T",0)):$P(^(0),U,3,4),$O(^(0))'="":$O(^(0)),1:-1)
-M5 I D>0 S DC=DC_D I $D(^RAO(75.1,DA,"T",+D,0)) S DE(5)=$P(^(0),U,1)
+M9 I D>0 S DC=DC_D I $D(^RAO(75.1,DA,"T",+D,0)) S DE(9)=$P(^(0),U,1)
  S X="""NOW"""
  S Y=X
  S X=Y,DB(DQ)=1 G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD
-R5 D DE
+R9 D DE
  G A
  ;
-6 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=6 D X6 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
-X6 I '$D(RAMT) S RAMT="a"
+10 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=10 D X10 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X10 I '$D(RAMT) S RAMT="a"
  Q
-7 S DW="0;19",DV="S",DU="",DLB="MODE OF TRANSPORT",DIFLD=19
+11 S DW="0;19",DV="S",DU="",DLB="MODE OF TRANSPORT",DIFLD=19
  S DU="a:AMBULATORY;p:PORTABLE;s:STRETCHER;w:WHEEL CHAIR;"
  S X=$P(RAMT,"^")
@@ -121,9 +139,9 @@
  S X=Y,DB(DQ)=1,DE(DW,"4/")="" G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD:X="@",Z
-X7 Q
-8 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=8 D X8 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
-X8 I '$D(RAIP) S RAIP="n"
+X11 Q
+12 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=12 D X12 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X12 I '$D(RAIP) S RAIP="n"
  Q
-9 S DW="0;24",DV="S",DU="",DLB="ISOLATION PROCEDURES",DIFLD=24
+13 S DW="0;24",DV="S",DU="",DLB="ISOLATION PROCEDURES",DIFLD=24
  S DU="y:YES;n:NO;"
  S X=RAIP
@@ -131,9 +149,9 @@
  S X=Y,DB(DQ)=1,DE(DW,"4/")="" G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD:X="@",Z
-X9 Q
-10 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=10 D X10 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
-X10 I '$D(RARU) S RARU=9
+X13 Q
+14 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=14 D X14 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X14 I '$D(RARU) S RARU=9
  Q
-11 S DW="0;6",DV="S",DU="",DLB="REQUEST URGENCY",DIFLD=6
+15 S DW="0;6",DV="S",DU="",DLB="REQUEST URGENCY",DIFLD=6
  S DU="1:STAT;2:URGENT;9:ROUTINE;"
  S X=RARU
@@ -141,21 +159,21 @@
  S X=Y,DB(DQ)=1,DE(DW,"4/")="" G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD:X="@",Z
-X11 Q
-12 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=12 D X12 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
-X12 S:$$ORVR^RAORDU()<3 Y="@80"
+X15 Q
+16 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=16 D X16 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X16 S:$$ORVR^RAORDU()<3 Y="@80"
  Q
-13 S DW="0;26",DV="S",DU="",DLB="NATURE OF (NEW) ORDER ACTIVITY",DIFLD=26
+17 S DW="0;26",DV="S",DU="",DLB="NATURE OF (NEW) ORDER ACTIVITY",DIFLD=26
  S DU="w:WRITTEN;v:VERBAL;p:TELEPHONED;s:SERVICE CORRECTION;i:POLICY;e:PHYSICIAN ENTERED;"
  S Y="s"
  S X=Y,DB(DQ)=1,DE(DW,"4/")="" G:X="" N^DIE17:DV,A I $D(DE(DQ)),DV["I"!(DV["#") D E^DIE0 G A:'$D(X)
  G RD:X="@",Z
-X13 Q
-14 S DQ=15 ;@80
-15 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=15 D X15 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
-X15 S RAFIN=1
+X17 Q
+18 S DQ=19 ;@80
+19 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=19 D X19 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X19 S RAFIN=1
  Q
-16 S DQ=17 ;@99
-17 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=17 D X17 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
-X17 K RAI,RAPRI,RAMOD,RAIMAG,RAREQLOC,RAMODPRO
+20 S DQ=21 ;@99
+21 D:$D(DG)>9 F^DIE17,DE S Y=U,DQ=21 D X21 D:$D(DIEFIRE)#2 FIREREC^DIE17 G A:$D(Y)[0,A:Y=U S X=Y,DIC(0)="F",DW=DQ G OUT^DIE17
+X21 K RAI,RAPRI,RAMOD,RAIMAG,RAREQLOC,RAMODPRO
  Q
-18 G 0^DIE17
+22 G 0^DIE17
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTQE4.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTQE4.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTQE4.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTQE4 ; ;05/26/08
+RACTQE4 ; ;12/27/07
  D DE G BEGIN
 DE S DIE="^RAO(75.1,D0,""T"",",DIC=DIE,DP=75.12,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^RAO(75.1,D0,"T",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG ; GENERATED FROM 'RA REGISTER' INPUT TEMPLATE(#1083), FILE 70;05/26/08
+RACTRG ; GENERATED FROM 'RA REGISTER' INPUT TEMPLATE(#1083), FILE 70;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(",DIC=DIE,DP=70,DL=1,DIEL=0,DU="" K DG,DE,DB Q:$O(^RADPT(DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG1.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG1.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG1.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG1 ; ;05/26/08
+RACTRG1 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",",DIC=DIE,DP=70.02,DL=2,DIEL=1,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG10.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG10.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG10.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG10 ; ;05/26/08
+RACTRG10 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",D2,""L"",",DIC=DIE,DP=70.07,DL=4,DIEL=3,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",D2,"L",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG11.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG11.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG11.m	(revision 636)
@@ -1,5 +1,5 @@
-RACTRG11 ; ;05/26/08
+RACTRG11 ; ;11/06/06
  ;;
-1 N X,X1,X2 S DIXR=475 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
+1 N X,X1,X2 S DIXR=490 D X1(U) K X2 M X2=X D X1("F") K X1 M X1=X
  I $G(X(1))]"" D
  . D KRAD^RAPXRM(.X,.DA)
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG2.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG2.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG2.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG2 ; ;05/26/08
+RACTRG2 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",",DIC=DIE,DP=70.03,DL=3,DIEL=2,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",DA,""))=""
@@ -106,5 +106,5 @@
  ;
 C8F1 S DIEZRXR(70.03,DIIENS)=$$OREF^DILF($NA(@$$CREF^DILF(DIE)))
- F DIXR=475 S DIEZRXR(70.03,DIXR)=""
+ F DIXR=490 S DIEZRXR(70.03,DIXR)=""
  Q
 X8 S DIC("S")="I $$ACTC^RACPTCSV" X ^DD(70.03,2,9.2)
@@ -144,5 +144,5 @@
  ;
 C15F1 S DIEZRXR(70.03,DIIENS)=$$OREF^DILF($NA(@$$CREF^DILF(DIE)))
- F DIXR=475 S DIEZRXR(70.03,DIXR)=""
+ F DIXR=490 S DIEZRXR(70.03,DIXR)=""
  Q
 X15 S DIC("S")="I $$ACTC^RACPTCSV" X ^DD(70.03,2,9.2)
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG3.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG3.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG3.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG3 ; ;05/26/08
+RACTRG3 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",",DIC=DIE,DP=70.03,DL=3,DIEL=2,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG4.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG4.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG4.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG4 ; ;05/26/08
+RACTRG4 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",D2,""M"",",DIC=DIE,DP=70.1,DL=4,DIEL=3,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",D2,"M",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG5.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG5.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG5.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG5 ; ;05/26/08
+RACTRG5 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",D2,""M"",",DIC=DIE,DP=70.1,DL=4,DIEL=3,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",D2,"M",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG6.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG6.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG6.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG6 ; ;05/26/08
+RACTRG6 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",",DIC=DIE,DP=70.03,DL=3,DIEL=2,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG7.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG7.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG7.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG7 ; ;05/26/08
+RACTRG7 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",D2,""F"",",DIC=DIE,DP=70.04,DL=4,DIEL=3,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",D2,"F",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG8.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG8.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG8.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG8 ; ;05/26/08
+RACTRG8 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",D2,""T"",",DIC=DIE,DP=70.05,DL=4,DIEL=3,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",D2,"T",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG9.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG9.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RACTRG9.m	(revision 636)
@@ -1,3 +1,3 @@
-RACTRG9 ; ;05/26/08
+RACTRG9 ; ;11/06/06
  D DE G BEGIN
 DE S DIE="^RADPT(D0,""DT"",D1,""P"",",DIC=DIE,DP=70.03,DL=3,DIEL=2,DU="" K DG,DE,DB Q:$O(^RADPT(D0,"DT",D1,"P",DA,""))=""
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RADD2.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RADD2.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RADD2.m	(revision 636)
@@ -1,9 +1,4 @@
 RADD2 ;HISC/GJC/CAH-Radiology Data Dictionary Utility Routine ;5/14/97  10:31
- ;;5.0;Radiology/Nuclear Medicine;**84**;Mar 16, 1998;Build 13
- ;
- ;Integration Agreements
- ;----------------------
- ;EN^DDIOL(10142); FILE^DIE(2053);NOTE^ORX3(868);MES^XPDUTL(10141)
- ;
+ ;;5.0;Radiology/Nuclear Medicine;;Mar 16, 1998
 EN1(RAX,RAY) ; Input transform for the .01 field (Procedure) for the Rad/Nuc
  ; Med Common Procedure file i.e, ^RAMIS(71.3
@@ -106,14 +101,2 @@
  Q:+$P(RAUTH,"^")&($S('$P(RAUTH,"^",4):1,$P(RAUTH,"^",4)'<RADT:1,1:0)) 1
  Q 0
- ;
-PRIDXIXK(DA,X) ;This subroutine executes the KILL logic for the 'new style' AD cross-
- ;reference on the 'PRIMARY DIAGNOSTIC CODE' (data dictionary: 70.03; field: 13)
- ;Input: DA - an array where DA(2)=RADFN, DA(1)=RADTI, & DA=RACNI
- ;        X - the primary diagnostic code value (this field points to file 78.3)
- N RACNI,RADFN,RADTI,RAFDA,RAIENS,RAX
- S RADFN=DA(2),RADTI=DA(1),RACNI=DA,RAX=X ;save the variables just in case
- S RAIENS=DA_","_DA(1)_","_DA(2)_",",RAFDA(70.03,RAIENS,20)="@"
- D FILE^DIE(,"RAFDA") ;delete data in 'DIAGNOSTIC PRINT DATE' (DD: 70.03; field: 20)
- K ^RADPT("AD",RAX,RADFN,RADTI,RACNI)
- Q
- ;
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RADLQ3.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RADLQ3.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RADLQ3.m	(revision 636)
@@ -1,5 +1,4 @@
 RADLQ3 ;HISC/GJC-Delq Status/Incomplete Rpt's ;5/7/97  15:58
- ;;5.0;Radiology/Nuclear Medicine;**87**;Mar 16, 1998;Build 2
- ; 11/15/07 BAY/KAM RA*5*87 Rem Call 217642 change pat ssn to display last four
+ ;;5.0;Radiology/Nuclear Medicine;;Mar 16, 1998
 DISPXAM ; Display exam statuses for selected Imaging Types.  These exam
  ; statuses need the 'DELINQUENT STATUS REPORT?' field tripped to
@@ -50,6 +49,4 @@
  ;       Since only inpatient and outpatient is possibly stored, any
  ;       change in the variable RAVAR will be a change to 'outpatient'.
- ; 11/15/07 BAY/KAM RA*5*87 Rem Call 217642 Added next line
- S RASSN=$E(RASSN,8,11)
  I IOM=132 D  ;132 column format
  . W !,RANME,?RATAB(1),RACN,?RATAB(2),RASSN,?RATAB(3),RADT,?RATAB(4)
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAHLO.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAHLO.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAHLO.m	(revision 636)
@@ -1,10 +1,5 @@
 RAHLO ;HIRMFO/GJC-Process data set from the bridge program ;11/18/97  12:13
- ;;5.0;Radiology/Nuclear Medicine;**4,8,27,55,66,84**;Mar 16, 1998;Build 13
+ ;;5.0;Radiology/Nuclear Medicine;**4,8,27,55,66**;Mar 16, 1998
  ; 09/07/2005 Remedy call 108405 - KAM Allow Radiology to accept dx codes from Talk Technology
- ;
- ;Integration Agreements
- ;----------------------
- ;DT^DILF(2054); LOCK^DILF(2054); DEM^VADPT(10061); $$DT^XLFDT(10103)
- ;
 EN1 ; Check the validity of the following data globals:
  ; Example: '^TMP("RARPT-REC",$J,RASUB,' where RASUB is a
@@ -59,7 +54,5 @@
  D DT^DILF("ET",RADATE,.RAVLDT)
  S:RAVLDT=-1 RAERR="Invalid report date" Q:$D(RAERR)
- K VA,VADM,VAERR S DFN=RADFN D DEM^VADPT
- I VADM(1)']"" S RAERR="Unknown Internal patient identifier" K VA,VADM,VAERR Q
- I RASSN'=$P(VADM(2),"^") S RAERR="Internal patient identifier and SSN don't match" K VA,VADM,VAERR Q
+ K VA,VADM,VAERR S DFN=RADFN D DEM^VADPT I VADM(1)']""!(RASSN'=$P(VADM(2),"^")) S RAERR="Internal patient identifier and SSN don't match" K VA,VADM,VAERR Q
  I '$D(^RADPT(RADFN,"DT",RADTI,"P",RACNI,0))!(RALONGCN']"") D  Q
  . S RAERR="Invalid Exam Date and/or Case Number"
@@ -79,10 +72,10 @@
  ; check resident and staff
  N X1,X2,X3 S X2=0,X3=""
- I '$G(RATELE),+$G(^TMP("RARPT-REC",$J,RASUB,"RARESIDENT"))!(+$G(^("RASTAFF"))) D  Q:$G(RAERR)]""
+ I +$G(^TMP("RARPT-REC",$J,RASUB,"RARESIDENT"))!(+$G(^("RASTAFF"))) D  Q:$G(RAERR)]""
  . S X1=+$G(^TMP("RARPT-REC",$J,RASUB,"RARESIDENT"))
  . I X1 D
- .. I '$D(^VA(200,"ARC","R",X1)),'$D(^VA(200,"ARC","S",X1)) S X2=1
+ .. I '$D(^VA(200,"ARC","R",X1)) S X2=1
  .. I $P($G(^VA(200,X1,"RA")),"^",3),$P(^("RA"),"^",3)'>$$DT^XLFDT S X2=X2+2
- .. I X2=1 S X3=$E($P($G(^VA(200,X1,0)),"^"),1,20)_" is not class'd as Resident or Staff"
+ .. I X2=1 S X3=$E($P($G(^VA(200,X1,0)),"^"),1,20)_" is not class'd as resident"
  .. I X2=2 S X3=$P($G(^VA(200,X1,0)),"^")_"'s INACTIVE DATE is past"
  .. I X2=3 S X3=$P($G(^VA(200,X1,0)),"^")_" is not class'd as resident and past INACTIVE DATE"
@@ -98,5 +91,5 @@
  . Q
  ; raesig is in alphanumeric format, so shouldn't use $g of it here
- I ($G(RAESIG)]"")!($G(RAVERF)) D:'$G(RATELE) VERCHK^RAHLO3 ; check if provider can verify report
+ I ($G(RAESIG)]"")!($G(RAVERF)) D VERCHK^RAHLO3 ; check if provider can verify report
  ; if verifier fails checks,
  ;   quit only if vendor is non-kurzweil,
@@ -106,7 +99,4 @@
  K RASECDX ;clear secondary dx array because RAHLO2 may not be called
  ; 09/07/2005 108405 KAM- Removed ('$D(RADENDUM)#2) from next line
- I $G(RATELE),'$D(RADENDUM),'$D(^TMP("RARPT-REC",$J,RASUB,"RADX")) D  ;Patch 84
- .I RASTAT="R" S:$D(RATELEDR) ^TMP("RARPT-REC",$J,RASUB,"RADX",1)=RATELEDR Q
- .S:$D(RATELEDF) ^TMP("RARPT-REC",$J,RASUB,"RADX",1)=RATELEDF
  D:$D(^TMP("RARPT-REC",$J,RASUB,"RADX")) DIAG^RAHLO2 Q:$D(RAERR)  ; DX code check took out - &('$D(RADENDUM)#2)
  ; edit sec Dx codes if they exist for non-addendums
@@ -119,8 +109,4 @@
  . S:'B RAERR=$$ERR^RAHLO2(A)
  . Q
- I $G(RATELE),$G(RARPT) D  Q:$D(RAERR)  ;PATCH 84
- .I $D(^RARPT(RARPT,0)) D LOCK^DILF($NA(^RARPT(RARPT))) E  S RAERR="Report: "_$P($G(^RARPT(RARPT,0)),"^")_" Locked on VISTA site" Q
- .L -^RARPT(RARPT)
- I $G(RATELE),$L($G(RATELEPI)),RATELEPI'?10N S RAERR="Incorrect Teleradiologist's NPI: "_RATELEPI Q
  D RPTSTAT^RAHLO3 ; determine the status of the report
  D FILE^RAHLO1:'$D(RAERR)
Index: FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAHLO1.m
===================================================================
--- FOIAVistA/trunk/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAHLO1.m	(revision 631)
+++ FOIAVistA/tag/r/RADIOLOGY_NUCLEAR_MEDICINE-RA/RAHLO1.m	(revision 636)
@@ -1,13 +1,8 @@
 RAHLO1 ;HIRMFO/GJC/BNT-File rpt (data from bridge program) ;6/25/04  11:49
- ;;5.0;Radiology/Nuclear Medicine;**4,5,12,17,21,27,48,55,66,87,84**;Mar 16, 1998;Build 13
- ; 11/15/2007 BAY/KAM RA*5*87 Rem Call 216332 Correct UNDEF on null dx code
+ ;;5.0;Radiology/Nuclear Medicine;**4,5,12,17,21,27,48,55,66**;Mar 16, 1998
  ; 09/07/2005 108405 - KAM/BAY Allow Radiology to accept dx codes from Talk Technology
- ; 09/29/2005 114302 KAM/BAY Code Added to trigger alert on 2ndary dx
- ;
- ;Integration Agreements
- ;----------------------
- ;DIE(10018); ,FILE^DIE(2053); IX^DIK(10013); CREATE^WVRALINK(4793); $$NOW^XLFDT(10103)
- ;EN^XUSHSHP(10045)
- ;
+ ; 09/29/2005 114302 KAM/BAY Code Added to trigger alert on 2ndary dx 
+ ; This routine uses the following IA:
+ ; #4793  - ^WVRALINK         (private)
 FILE ;Create Entry in File 74 and File Data
  I '$D(ZTQUEUED) N ZTQUEUED S ZTQUEUED="1^dummy to suppress screen displays in UP2^RAUTL1 and elsewhere"
@@ -17,9 +12,9 @@
  N:'$D(RAPRTSET) RAPRTSET N:'$D(RAMEMARR) RAMEMARR
  D EN2^RAUTL20(.RAMEMARR) ; 04/30/99 always recalculate RAPRTSET
- ; If the report (stub/real) exists, unverify the existing report... Else create a new report
- I RARPT,$D(^RARPT(RARPT,0)) S RASAV=RARPT D  S RARPT=RASAV K RASAV Q:$D(RAERR)  G LOCK1
+ ; If rpt (either stub or real) exists, skip creating a new file 74 entry
+ I RARPT,$D(^RARPT(RARPT,0)) S RASAV=RARPT D FILETST^RAHLO4 Q:$D(RAERR)  D  S RARPT=RASAV K RASAV G LOCK1
  . ; must save off RARPT, RAVERF and other RA* variables because
  . ; they are being killed off somewhere in the 'Unverify A Report'
- . ; option. 'Unverify A Report' does lock the the report record in file 74!
+ . ; option.
  . N RADFN,RADTI,RACNI,RARPTSTS,RASSN,RADATE,RALONGCN,RAVERF
  . ; if report isn't a stub report, then consider it being edited
@@ -30,8 +25,7 @@
  . K ^RARPT(RARPT,"I"),^("R"),^("H")
  . Q
- ; New report logic @NEW1
+ I RAPRTSET L +^RADPT(RADFN,"DT",RADTI):0 G:$T NEW1 S RAERR="ANOTHER USER IS CURRENTLY EDITING THIS PRINTSET. TRY LATER." D KVAR Q
 NEW1 S I=$P(^RARPT(0),"^",3)
- ;since this is a new report (not linked to an exam), directly lock the new record *1 lR*
-LOCK S I=I+1 L +^RARPT(I):1 G:'$T LOCK I ($D(^RARPT(I))#2) L -^RARPT(I) G LOCK
+LOCK S I=I+1 L +^RARPT(I):1 I '$T!($D(^RARPT(I)))!($D(^RARPT("B",I))) L -^RARPT(I) G LOCK
  S ^RARPT(I,0)=RALONGCN,RARPT=I,^(0)=$P(^RARPT(0),"^",1,2)_"^"_I_"^"_($P(^(0),"^",4)+1)
  ;if case is member of a print set, then create sub-recs for file #74
@@ -39,8 +33,5 @@
  I '$D(RARPTN) N RARPTN S RARPTN=RALONGCN
  N RAXIT D PTR^RARTE2 ;create corresponding subrecs in ^RARPT()
- ;
- ;if RAERR unlock the report record (locked @LOCK), kill vars, & exit
- I $D(RAERR) D LOCKR^RAHLTCPU(.RAERR,1) D KVAR Q  ; *1 uR*
- ;
+ I $D(RAERR) L -^RADPT(RADFN,"DT",RADTI) D KVAR Q  ;unlck & clear vars
 LOCK1 I $D(RAESIG) S X=RAESIG,X1=$G(RAVERF),X2=RARPT D EN^XUSHSHP S RAESIG=X
  K DA,DIE,DQ,DR S DA=RARPT,DIE="^RARPT("
@@ -53,6 +44,4 @@
  S DR=DR_";8////"_$S($D(RAEDIT):"",1:RADATE) ; reported date
  S DR=DR_";9////"_$S($G(RAVERF)&(RARPTSTS="V"):RAVERF,1:"") ; v'fying phys
- S:$L($G(RATELENM)) DR=DR_";9.1////"_RATELENM ;Teleradiologist name - Patch 84
- S:$L($G(RATELEPI)) DR=DR_";9.2////"_RATELEPI ;Teleradiologist NPI  - Patch 84
  S DR=DR_";11////"_$S($G(RATRANSC):RATRANSC,$G(RAVERF):RAVERF,1:"") ; transcriptionist
  I $G(RAVERF),(RARPTSTS="V") S DR=DR_";17////"_$G(^TMP("RARPT-REC",$J,RASUB,"RAWHOCHANGE")) ;status changed to 'verified' by
@@ -63,27 +52,11 @@
  S $P(^RARPT(RARPT,0),"^",10)=$S($D(RAESIG)&(RARPTSTS="V"):RAESIG,1:"") ; hard set because Elec Sig Code may contain a semi-colon which causes errors in DIE
  D ^DIE K DA,DR
- ;don't file a Pri. Dx code for teleradiology reports in the released status (P84v11 bus. rule)
- S RARELTEL=$S(($D(RATELE)#2)&(RARPTSTS="R"):1,1:"")
- ;
- ; 02/08/2008 GJC replaced $G w/($D(RADX)#2) p84
- ; 11/15/2007 BAY/KAM RA*5*87 Rem Call 216332 Changed next line to $G
  ; 09/07/2005 108405 KAM/BAY Removed('$D(RADENDUM)#2) from next line
- I ($D(RADX)#2),RARELTEL="" D  Q:($D(RAERR))#2
- .;now a silent FM call w/p84 due to xref being killed when stuffing an identical Dx code
- .;as the one already on file.
- .N RAFDA,RAIENS S RAIENS=RACNI_","_RADTI_","_RADFN_","
- .S RAFDA(70.03,RAIENS,13)=RADX
- .;lock the exam record, if the lock fails unlock the report record (locked @LOCK) & quit
- .D LOCKX^RAHLTCPU(.RAERR) ;*1 lE*
- .I ($D(RAERR)#2) D LOCKR^RAHLTCPU(.RAERR,1) Q  ;*1 uR*
- .K RAERR D FILE^DIE(,"RAFDA","RAERR") D LOCKX^RAHLTCPU(.RAERR,1) ;*1 uE*
- .I ($D(RAERR("DIERR"))#2) D  Q
- ..;set the error dialog; unlock the report (locked @LOCK) *1 uR*
- ..D LOCKR^RAHLTCPU(.RAERR,1) S RAERR=$G(RAERR("DIERR",1,"TEXT",1))
- ..Q
- .S:$P(^RA(78.3,+RADX,0),"^",4)="y" RAAB=1
- .Q
- ;
- K RARELTEL
+ I $D(RADX) D
+ . K DIE,DA,DR S DA=RACNI,DA(1)=RADTI,DA(2)=RADFN
+ . S DIE="^RADPT("_DA(2)_",""DT"","_DA(1)_",""P"","
+ . S DR="13////"_RADX D ^DIE K DIE,DA,DR
+ . S:$P(^RA(78.3,+RADX,0),"^",4)="y" RAAB=1
+ . Q
  ; 09/29/2005 114302 KAM/BAY Code Added to trigger alert on 2ndary dx
  I $D(RASECDX) D
@@ -98,8 +71,6 @@
  . Q:'$G(DR)
  . S DA=RACNI,DA(1)=RADTI,DA(2)=RADFN
- . D LOCKX^RAHLTCPU(.RAERR) ;*2 lE*
  . S DIE="^RADPT("_DA(2)_",""DT"","_DA(1)_",""P"","
  . D ^DIE K DIE,DA,DR
- . D LOCKX^RAHLTCPU(.RAERR,1) ;*2 uE*
  . Q
  ;
@@ -146,21 +117,14 @@
  F  S RA7=$O(RAMEMARR(RA7)) Q:RA7=""  I RACNISAV'=RA7 S RACNI=RA7 D UPMEM^RAHLO4 I $D(RASECDX),('$D(RADENDUM)#2) D SECDX^RAHLO2
  S RACNI=RACNISAV
+ L -^RADPT(RADFN,"DT",RADTI) ;unlock after pce 17 is set in all cases of this printset
  ;Update Activity Log
-UPACT S DA=RARPT,DIE="^RARPT(",DR="100///""NOW""",DR(2,74.01)="2////"_$S(RARPTSTS="V":"V",$D(RAEDIT):"E",1:"I")_";3////"_$S($G(RAVERF):RAVERF,$G(RATRANSC):RATRANSC,1:"") D ^DIE K DA,DR,DE,DQ,DIE
+UPACT S DA=RARPT,DIE="^RARPT(",DR="100///""NOW""",DR(2,74.01)="2////"_$S(RARPTSTS="V":"V",$D(RAEDIT):"E",1:"I")_";3////"_$S($G(RATRANSC):RATRANSC,$G(RAVERF):RAVERF,1:"") D ^DIE K DA,DR,DE,DQ,DIE
  ; use ix^dik to kill before setting xrefs
  S DA=RARPT,DIK="^RARPT(",RAQUEUED=1 D IX^DIK
- L -^RARPT(RARPT) ;(1 uR) conventionally unlock the report locked @LOCK
- ;
- ;If verified, update report & exam statuses; else, just update exam status
- ;Note: be careful; exam locks are executed within UP1^RAUTL1!
+ ; if verfd, update rpt & exam statuses; else, just update exam status
  I $D(RAMDV),RAMDV'="" D:RARPTSTS="V" UPSTAT^RAUTL0 D:RARPTSTS'="V" UP1^RAUTL1
- D:'$D(RAERR)&($G(^TMP("RARPT-REC",$J,RASUB,"VENDOR"))'="KURZWEIL") GENACK^RAHLTCPB ; generate 'ACK' message
- ;
-PACS ;If there are subscribers to RA RPT xxx events broadcast ORU mesages to those subscribers
- ;via TASK^RAHLO4. If VOICE DICTATION AUTO-PRINT (#26) field is set to 'Y' print the report to
- ;the printer defined in the REPORT PRINTER NAME (#10) field via VOICE^RAHLO4.
- I ($P(^RARPT(RARPT,0),U,5)="V")!($P(^(0),U,5)="R") D TASK^RAHLO4,VOICE^RAHLO4
- ;
+ L -^RARPT(RARPT) D:'$D(RAERR)&($G(^TMP("RARPT-REC",$J,RASUB,"VENDOR"))'="KURZWEIL") GENACK^RAHLTCPB ; generate 'ACK' message
+ ; line pacs is for 2 tasks: hl7 msg'g  &  voice verified rpt printout
+PACS I ($P(^RARPT(RARPT,0),U,5)="V")!($P(^(0),U,5)="R") D TASK^RAHLO4,VOICE^RAHLO4
 KVAR K RAAB,RAEDIT,RAESIG,RAQUEUED,RARPT,RAHIST
  Q
- ;
